import { defineConfig } from "umi";

export default defineConfig({
  favicons: [
    '/favicon.ico'
  ],
  styles: [
    '//at.alicdn.com/t/c/font_4676747_vnsdgzy6xf8.css'
  ],
  plugins: [
    require.resolve('@umijs/plugins/dist/unocss'),
    require.resolve('@umijs/plugins/dist/model'),
    require.resolve('@umijs/plugins/dist/initial-state'),
  ],
  model: {},
  unocss: {
    watch: ['src/**/*.tsx']
  },
  icons: {
    autoInstall: {}
  },
  routes: [
    { path: "/", component: "home" },
    { path: "/flow", component: "flow" },
  ],
  npmClient: 'pnpm',
});
