import React from 'react'
import { Input } from 'antd'
import { Node } from '@antv/x6'
export default function CustomInput(props: {value: string, styles: React.CSSProperties, node: Node}) {
  const { value, styles, node } = props;
  return (
    <div className="absolute text-center top-1/2 left-1/2 transform -translate-x-1/2 -translate-y-1/2">
      <Input
          value={value}
          variant="borderless"
          style={styles}
          onChange={(e) => node.setData({ label: e.target.value })}
        />
    </div>
  )
}
